org.apache.cxf.bus.osgi

## Class CXFExtensionBundleListener.OSGiExtension

- java.lang.Object
- - org.apache.cxf.bus.extension.Extension
  - - org.apache.cxf.bus.osgi.CXFExtensionBundleListener.OSGiExtension

- Enclosing class:
    CXFExtensionBundleListener

      public class CXFExtensionBundleListener.OSGiExtension
      extends Extension

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.bus.extension.Extension

      `args, classloader, className, clazz, deferred, interfaceName, intf, LOG, namespaces, notFound, obj, optional`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OSGiExtension(Extension e, org.osgi.framework.Bundle b)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Extension` | `cloneNoObject()`
    `Object` | `load(ClassLoader cl, Bus b)`
    `void` | `setServiceObject(Object o)`
    `protected Class<?>` | `tryClass(String name, ClassLoader cl)`

    - ### Methods inherited from class org.apache.cxf.bus.extension.Extension

      `getClassname, getClassObject, getInterfaceName, getLoadedObject, getName, getNamespaces, isDeferred, isOptional, loadInterface, setArgs, setClassname, setDeferred, setInterfaceName, setOptional, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OSGiExtension

          public OSGiExtension(Extension e,
                               org.osgi.framework.Bundle b)

  - ### Method Detail

    - #### setServiceObject

          public void setServiceObject(Object o)

    - #### load

          public Object load(ClassLoader cl,
                             Bus b)

      Overrides:
        `load` in class `Extension`

    - #### tryClass

          protected Class<?> tryClass(String name,
                                      ClassLoader cl)

      Overrides:
        `tryClass` in class `Extension`

    - #### cloneNoObject

          public Extension cloneNoObject()

      Overrides:
        `cloneNoObject` in class `Extension`

Apache CXF